Subject: Re: [PATCH 0/4] Add mangohud (update dear-imgui)

From: John Kehayias <[email-masked]>
Date: Wed, 16 Feb 2022 01:48:03 +0000

Hi Maxim,

I wanted to ping you on (at least) the imgui part of this patch, since you had added imgui 1.86 in 1a4cc954d2fcea172a450ae03419b7fdda28b81e to see how we should sort out the different imgui versions we have. I hope that is okay!

This was my note in the original patch:

> 3. dear-imgui: Update to 1.81. This not the latest, but most recent of the Debian makefiles we use. The only dependent is Ogre (very out of date) which just uses the source, but needs 1.79. I made the previous one a hidden package and updated Ogre to use that. There were enough build changes that I didn't think an inherit would be very clean. Also added in the static library output (preferred by mangohud). New is many inputs for the backends (optional).

My inclination is to keep the old 1.79 as a hidden package for Ogre until Ogre can be updated. Likewise, the package I'm trying to add, mangohud, currently requires imgui 1.81, so perhaps add this as a hidden package as well?

Or it could be a public version since it is the current one that follows the Debian makefiles of the dear-imgui package we currently have. And for one, it adds the pkg-config file which is useful. Then once mangohud has a newer version with the current imgui version it could be removed, as the only package using it as an input.

WDYT?

Thanks!
John